Subject: bug#24483: 25.1; sql-mode error due to nil prompt-cont-regexp

From: Pablo Mercader Alcántara <[email-masked]>
Date: Mon, 5 Jun 2017 11:31:13 -0400

Ok, I tried using "sqlcmd" instead of "osql" and the problem remains. Also
tried using MySQL instead of MS-SQL-Server to see if I could reproduce the
problem, and it has a similar problem, doesn't show any results to any
query I write, but doesn't spit the "Wrong type argument: stringp, nil"
message.

So the problem is not the executable program used to talk to the database.
I'm still beating to a problem in sql.el.

Thanks for your help!

2017-05-29 17:50 GMT-04:00 Nikolay Kudryavtsev <
[email-masked]>:

> Oh, sorry for the cp866 suggestion, my bad, cp850 is probably right for
> you.
>
> If you're using osql, can you try switching to sqlcmd? Osql had been
> considered deprected by Microsoft for many years. Sqlcmd is freely
> downloadable and should be usable with any more or less modern version of
> SQL Server. The configuration for it that I use looks like this:
>
> (setq sql-ms-program "sqlcmd"
>           sql-ms-options (quote ("-W" "-s" "|" "-I")))
>
>
> --
> Best Regards,
> Nikolay Kudryavtsev
>
>